diff -ruN uppsrc/CppBase/Pre.cpp uppsrc/CppBase/Pre.cpp
--- uppsrc/CppBase/Pre.cpp	2010-03-25 00:04:59 +0400
+++ uppsrc/CppBase/Pre.cpp	2012-07-09 00:50:48 +0400
@@ -103,6 +103,26 @@
 			}
 			res.preprocessorLinesRemoved++;
 		}
+		else
+		if(rm[0] == 'S' && rm[1] == 'K' && rm[2] == 'Y' &&
+		   rm[3] == 'L' && rm[4] == 'A' && rm[5] == 'R' && rm[6] == 'K' && !iscid(rm[7])) {
+			const char *s = rm + 7;
+			while(*s == ' ' || *s == '\t') s++;
+			if(*s++ == '(') {
+				String name;
+				bool bracket = false;
+				while(iscid(*s))
+					name.Cat(*s++);
+				while(*s != '{' && *s) s++;
+				if(*s == '{')
+					bracket = true;
+				if(!name.IsEmpty()) {
+					res.text << "void " << name << "(Http& http)";
+					if (bracket) res.text << " {";
+				}
+			}
+			res.preprocessorLinesRemoved++;
+		}
 		else {
 			bool lineContainsComment = false;
 			bool lineContainsNonComment = false;
diff -ruN uppsrc/Skylark/Http.h uppsrc/Skylark/Http.h
--- uppsrc/Skylark/Http.h	2012-07-08 19:14:05 +0400
+++ uppsrc/Skylark/Http.h	2012-07-08 19:29:32 +0400
@@ -130,9 +130,9 @@
 String HttpResponse(int code, const char *phrase, const String& data, const char *content_type = NULL);
 
 void RegisterView(void (*view)(Http&), const char *id, const char *path);
-
+//$-void SKYLARK(void *name, const char *path);
 #define SKYLARK(name, path)  void name(Http& http); INITBLOCK { UPP::RegisterView(name, #name, path); } void name(Http& http)
-
+//$+
 Vector<String> *GetUrlViewLinkParts(const String& id);
 
 String MakeLink(void (*view)(Http&), const Vector<Value>& arg);
